GWT 2.7.0

## com.google.gwt.editor.ui.client.adapters
Class HasTextEditor

    java.lang.Object
      com.google.gwt.editor.ui.client.adapters.HasTextEditor

All Implemented Interfaces:
  Editor<java.lang.String>, LeafValueEditor<java.lang.String>, TakesValue<java.lang.String>

    public class HasTextEditor

extends java.lang.Object
implements LeafValueEditor<java.lang.String>

Adapts the HasText interface to the Editor framework.

Nested Class Summary

Nested classes/interfaces inherited from interface com.google.gwt.editor.client.Editor
`Editor.Ignore, Editor.Path`

Constructor Summary
`protected` | `HasTextEditor(HasText peer)` Constructs a new HasTextEditor that that modifies the given `HasText` peer instance.

Method Summary
`java.lang.String` | `getValue()` Returns the current value.
`static HasTextEditor` | `of(HasText peer)` Returns a new ValueEditor that that modifies the given `HasText` peer instance.
`void` | `setValue(java.lang.String value)` Sets the value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HasTextEditor

    protected HasTextEditor(HasText peer)

  Constructs a new HasTextEditor that that modifies the given `HasText` peer instance.

  Parameters:
    `peer` - a `HasText` instance

Method Detail

### of

    public static HasTextEditor of(HasText peer)

  Returns a new ValueEditor that that modifies the given `HasText` peer instance.

  Parameters:
    `peer` - a `HasText` instance
  Returns:
    a HasTextEditor instance

### getValue

    public java.lang.String getValue()

  Description copied from interface: `TakesValue`
  Returns the current value.

  Specified by:
    `getValue` in interface `TakesValue<java.lang.String>`
  Returns:
    the value as an object of type V
  See Also:
    `TakesValue.setValue(V)`

### setValue

    public void setValue(java.lang.String value)

  Description copied from interface: `TakesValue`
  Sets the value.

  Specified by:
    `setValue` in interface `TakesValue<java.lang.String>`
  Parameters:
    `value` - a value object of type V
  See Also:
    `TakesValue.getValue()`

GWT 2.7.0